Name:           perl-Catalyst-Plugin-StackTrace
Version:        0.09
Release:        1%{?dist}
Summary:        Display a stack trace on the debug screen
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-StackTrace/
Source0:        http://www.cpan.org/authors/id/M/MS/MSTROUT/Catalyst-Plugin-StackTrace-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Catalyst) >= 5.61
BuildRequires:  perl(Devel::StackTrace)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
Requires:       perl(Catalyst) >= 5.61
Requires:       perl(Devel::StackTrace)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin will enhance the standard Catalyst debug screen by including a
stack trace of your appliation up to the point where the error occurred.
Each stack frame is displayed along with the package name, line number,
file name, and code context surrounding the line number.

%prep
%setup -q -n Catalyst-Plugin-StackTrace-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_POD=1 make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.09-1
- update to 0.09

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 07 2008 Caolán McNamara <caolanm@redhat.com> 0.07-4
- rebuild for dependencies

* Sat Apr 12 2008 Simon Wilkinson <simon@sxw.org.uk> 0.07-3
- Fix incorrect license
- Try building with POD checks

* Thu Mar 27 2008 Simon Wilkinson <simon@sxw.org.uk> 0.07-2
- Add build dependencies on Test::Pod and Test::Pod::Coverage for tests

* Thu Mar 27 2008 Simon Wilkinson <simon@sxw.org.uk> 0.07-1
- Specfile autogenerated by cpanspec 1.73.
